Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.6 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

An error appears when I upgrade OCS server from version 2.1.1 to 2.2

When I begin upgrading OCS server from version 2.1.1 to 2.2 by running "setup.sh" script in the new server package, & after answering the prompted questions, an error appears to me:

==================================================================================

ERROR from evaluation of /OCSNG_UNIX_SERVER-2.2/OCSNG_UNIX_SERVER-2.2/Apache/PaxHeaders.9556/Makefile.PL: syntax error at ./Makefile.PL line 1, near "30 mtime"
Warning: Prerequisites too old ! Do you wish to continue (y/[n])?

==================================================================================

when I press 'y' for Yes, it continues then abords upgrading and displaying this error:

==================================================================================

*** ERROR: Prepare failed, please look at error in /OCSNG_UNIX_SERVER-2.2/OCSNG_UNIX_SERVER-2.2/ocs_server_setup.log and fix !

==================================================================================

when I open the mentioned log file (/OCSNG_UNIX_SERVER-2.2/OCSNG_UNIX_SERVER-2.2/ocs_server_setup.log), I find the error:

=================================================================================

make: *** No targets specified and no makefile found.  Stop.   

=================================================================================

How can I solve this error to upgrade the OCSNG server ?
asked in OCS Inventory NG server for Unix by (160 points)

2 Answers

0 votes
Hi,

Update the pre-requisites and restart an update.

Regards

Frank
answered by (69.9k points)
OCS upgrade problem
0 votes
Hi

Verify that /etc/apache2/envvars file has good permissions => rwx-rx-rx

Regards

Frank
answered by (69.9k points)
ocs update problem
 
Powered by Question2Answer
...